View Issue Details

IDProjectCategoryView StatusLast Update
0003125SymmetricDS ProNew Featurepublic2018-02-14 15:08
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.0Fixed in Version3.9.0 
Summary0003125: Encrypt and/or compress staging
DescriptionGive options in symmetric-server.properties to encrypt staging files for security and/or compress staging files to conserve space. If both options are selected, compress the file first, then encrypt. User is required to clear staging after changing setting.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 b08b001c

2017-05-25 08:21:48

admin

Details Diff
0003125: Encrypt and/or compress staging
0003125
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ClientSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ServerConstants.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagedResource.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingManager.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/ThresholdFileWriter.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/security/ISecurityService.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/security/SecurityService.java Diff File

Issue History

Date Modified Username Field Change
2017-05-25 08:20 elong New Issue
2017-05-25 08:20 elong Status new => assigned
2017-05-25 08:20 elong Assigned To => elong
2017-05-25 08:35 elong Status assigned => resolved
2017-05-25 08:35 elong Fixed in Version => 3.9.0
2017-05-25 08:35 elong Resolution open => fixed
2017-07-10 08:40 jwilmer Status resolved => closed
2018-02-14 15:08 admin Changeset attached => SymmetricDS 3.9 b08b001c